## visad
Class RemoteFieldImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteThingImpl
                      visad.RemoteDataImpl
                          visad.RemoteFunctionImpl
                              visad.RemoteFieldImpl

All Implemented Interfaces:
  Data, Field, Function, Remote, RemoteData, RemoteField, RemoteFunction, RemoteThing, Serializable, Thing

Direct Known Subclasses:
  RemoteFlatFieldImpl

public class RemoteFieldImpl
extends RemoteFunctionImpl
implements RemoteField

RemoteFieldImpl is the VisAD remote adapter for FieldImpl.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.RemoteDataImpl
`AdaptedData`

Fields inherited from class visad.RemoteThingImpl
`AdaptedThing`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`RemoteFieldImpl(FieldImpl field)` construct a RemoteFieldImpl object to provide remote access to field

Method Summary
`Enumeration` `domainEnumeration()` Here's how to use this: for (Enumeration e = field.domainEnumeration() ; e.hasMoreElements(); ) { RealTuple domain_sample = (RealTuple) e.nextElement(); Data range = field.evaluate(domain_sample); }
`Field` `domainFactor(RealType factor)` factor Field domain into domains of two nested Fields
`Field` `domainMultiply()` combine domains of two outermost nested Fields into a single domain and Field
`Field` `domainMultiply(int depth)` combine domains to depth, if possible
`Field` `extract(int component)` assumes the range type of this is a Tuple and returns a Field with the same domain as this, but whose range samples consist of the specified Tuple component of the range samples of this; in shorthand, this[].component
`Unit[]` `getDefaultRangeUnits()` get default range Unit-s for 'Flat' components
`CoordinateSystem` `getDomainCoordinateSystem()` Get the CoordinateSystem associated with the domain RealTuple
`Set` `getDomainSet()` get the domain Set
`Unit[]` `getDomainUnits()` Get the default Units of the Real components of the domain.
`float[][]` `getFloats()` invokes getFloats(true)

`float[][]`

`getFloats(boolean copy)`
get the 'Flat' components of this Field's range values in their default range Units (as defined by the range of the Field's FunctionType); if the range type is a RealType it is a 'Flat' component, if the range type is a TupleType its RealType components and RealType components of its RealTupleType components are all 'Flat' components; the return array is dimensioned: float[number_of_flat_components][number_of_range_samples]; return a copy if copy == true

`int` `getLength()` get number of samples
`CoordinateSystem[]` `getRangeCoordinateSystem()` get range CoordinateSystem for 'RealTuple' range; index may enumerate samples, if they differ
`CoordinateSystem[]` `getRangeCoordinateSystem(int i)` get range CoordinateSystem for 'RealTuple' components; index may enumerate samples, if they differ
`Unit[][]` `getRangeUnits()` get range Unit-s for 'Flat' components; second index may enumerate samples, if they differ
`Data` `getSample(int index)` get the range value at the index-th sample
`String[][]` `getStringValues()` get String values for Text components
`double[][]` `getValues()` invokes getValues(true)

`double[][]`

`getValues(boolean copy)`
get the 'Flat' components of this Field's range values in their default range Units (as defined by the range of the Field's FunctionType); if the range type is a RealType it is a 'Flat' component, if the range type is a TupleType its RealType components and RealType components of its RealTupleType components are all 'Flat' components; the return array is dimensioned: double[number_of_flat_components][number_of_range_samples]; return a copy if copy == true

`boolean` `isFlatField()` return true if this a FlatField or a RemoteField adapting a FlatField
`void` `setSample(int index, Data range)` set the range value at the index-th sample
`void` `setSample(int index, Data range, boolean copy)` set the range value at the index-th sample
`void` `setSample(RealTuple domain, Data range)` set the range value at the sample nearest to domain
`void` `setSample(RealTuple domain, Data range, boolean copy)` set the range value at the sample nearest to domain
`void` `setSamples(Data[] range, boolean copy)` methods adapted from Field
`void` `setSamples(double[][] range)` set range array as range values of this Field; this must have a Flat range; the array is dimensioned float[number_of_range_components][number_of_range_samples]; the order of range values must be the same as the order of domain indices in the DomainSet
`void` `setSamples(float[][] range)` set range array as range values of this Field; this must have a Flat range; the array is dimensioned float[number_of_range_components][number_of_range_samples]; the order of range values must be the same as the order of domain indices in the DomainSet

Methods inherited from class visad.RemoteFunctionImpl
`derivative, derivative, derivative, derivative, derivative, evaluate, evaluate, evaluate, evaluate, getDomainDimension, resample, resample`

Methods inherited from class visad.RemoteDataImpl

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from class visad.RemoteThingImpl
`addReference, getTick, incTick, removeReference`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Function
`derivative, derivative, derivative, derivative, derivative, evaluate, evaluate, evaluate, evaluate, getDomainDimension, resample, resample`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Methods inherited from interface visad.RemoteThing
`getTick, incTick`

Constructor Detail

### RemoteFieldImpl

    public RemoteFieldImpl(FieldImpl field)
                    throws RemoteException

  construct a RemoteFieldImpl object to provide remote access to field

Method Detail

### setSamples

    public void setSamples(Data[] range,
                           boolean copy)
                    throws VisADException,
                           RemoteException

  methods adapted from Field

  Specified by:
    `setSamples` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### setSamples

    public void setSamples(double[][] range)
                    throws VisADException,
                           RemoteException

  Description copied from interface: `Field`
  set range array as range values of this Field; this must have a Flat range; the array is dimensioned float[number_of_range_components][number_of_range_samples]; the order of range values must be the same as the order of domain indices in the DomainSet

  Specified by:
    `setSamples` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### setSamples

    public void setSamples(float[][] range)
                    throws VisADException,
                           RemoteException

  Description copied from interface: `Field`
  set range array as range values of this Field; this must have a Flat range; the array is dimensioned float[number_of_range_components][number_of_range_samples]; the order of range values must be the same as the order of domain indices in the DomainSet

  Specified by:
    `setSamples` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getDomainSet

    public Set getDomainSet()
                     throws VisADException,
                            RemoteException

  Description copied from interface: `Field`
  get the domain Set

  Specified by:
    `getDomainSet` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getLength

    public int getLength()
                  throws VisADException,
                         RemoteException

  Description copied from interface: `Field`
  get number of samples

  Specified by:
    `getLength` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getDomainUnits

    public Unit[] getDomainUnits()
                          throws VisADException,
                                 RemoteException

  Description copied from interface: `Function`
  Get the default Units of the Real components of the domain.

  Specified by:
    `getDomainUnits` in interface `Function`
  Overrides:
    `getDomainUnits` in class `RemoteFunctionImpl`
  Throws:
    `VisADException`
    `RemoteException`

### getDomainCoordinateSystem

    public CoordinateSystem getDomainCoordinateSystem()
                                               throws VisADException,
                                                      RemoteException

  Description copied from interface: `Function`
  Get the CoordinateSystem associated with the domain RealTuple

  Specified by:
    `getDomainCoordinateSystem` in interface `Function`
  Overrides:
    `getDomainCoordinateSystem` in class `RemoteFunctionImpl`
  Throws:
    `VisADException`
    `RemoteException`

### getSample

    public Data getSample(int index)
                   throws VisADException,
                          RemoteException

  Description copied from interface: `Field`
  get the range value at the index-th sample

  Specified by:
    `getSample` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### setSample

    public void setSample(RealTuple domain,
                          Data range)
                   throws VisADException,
                          RemoteException

  Description copied from interface: `Field`
  set the range value at the sample nearest to domain

  Specified by:
    `setSample` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### setSample

    public void setSample(RealTuple domain,
                          Data range,
                          boolean copy)
                   throws VisADException,
                          RemoteException

  Description copied from interface: `Field`
  set the range value at the sample nearest to domain

  Specified by:
    `setSample` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### setSample

    public void setSample(int index,
                          Data range)
                   throws VisADException,
                          RemoteException

  Description copied from interface: `Field`
  set the range value at the index-th sample

  Specified by:
    `setSample` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### setSample

    public void setSample(int index,
                          Data range,
                          boolean copy)
                   throws VisADException,
                          RemoteException

  Description copied from interface: `Field`
  set the range value at the index-th sample

  Specified by:
    `setSample` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### extract

    public Field extract(int component)
                  throws VisADException,
                         RemoteException

  Description copied from interface: `Field`
  assumes the range type of this is a Tuple and returns a Field with the same domain as this, but whose range samples consist of the specified Tuple component of the range samples of this; in shorthand, this[].component

  Specified by:
    `extract` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### domainMultiply

    public Field domainMultiply()
                         throws VisADException,
                                RemoteException

  combine domains of two outermost nested Fields into a single domain and Field

  Specified by:
    `domainMultiply` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### domainMultiply

    public Field domainMultiply(int depth)
                         throws VisADException,
                                RemoteException

  combine domains to depth, if possible

  Specified by:
    `domainMultiply` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### domainFactor

    public Field domainFactor(RealType factor)
                       throws VisADException,
                              RemoteException

  factor Field domain into domains of two nested Fields

  Specified by:
    `domainFactor` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getFloats

    public float[][] getFloats()
                        throws VisADException,
                               RemoteException

  Description copied from interface: `Field`
  invokes getFloats(true)

  Specified by:
    `getFloats` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getFloats

    public float[][] getFloats(boolean copy)
                        throws VisADException,
                               RemoteException

  Description copied from interface: `Field`
  get the 'Flat' components of this Field's range values in their default range Units (as defined by the range of the Field's FunctionType); if the range type is a RealType it is a 'Flat' component, if the range type is a TupleType its RealType components and RealType components of its RealTupleType components are all 'Flat' components; the return array is dimensioned: float[number_of_flat_components][number_of_range_samples]; return a copy if copy == true

  Specified by:
    `getFloats` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getValues

    public double[][] getValues()
                         throws VisADException,
                                RemoteException

  Description copied from interface: `Field`
  invokes getValues(true)

  Specified by:
    `getValues` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getValues

    public double[][] getValues(boolean copy)
                         throws VisADException,
                                RemoteException

  Description copied from interface: `Field`
  get the 'Flat' components of this Field's range values in their default range Units (as defined by the range of the Field's FunctionType); if the range type is a RealType it is a 'Flat' component, if the range type is a TupleType its RealType components and RealType components of its RealTupleType components are all 'Flat' components; the return array is dimensioned: double[number_of_flat_components][number_of_range_samples]; return a copy if copy == true

  Specified by:
    `getValues` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getStringValues

    public String[][] getStringValues()
                               throws VisADException,
                                      RemoteException

  Description copied from interface: `Field`
  get String values for Text components

  Specified by:
    `getStringValues` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getDefaultRangeUnits

    public Unit[] getDefaultRangeUnits()
                                throws VisADException,
                                       RemoteException

  Description copied from interface: `Field`
  get default range Unit-s for 'Flat' components

  Specified by:
    `getDefaultRangeUnits` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getRangeUnits

    public Unit[][] getRangeUnits()
                           throws VisADException,
                                  RemoteException

  Description copied from interface: `Field`
  get range Unit-s for 'Flat' components; second index may enumerate samples, if they differ

  Specified by:
    `getRangeUnits` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getRangeCoordinateSystem

    public CoordinateSystem[] getRangeCoordinateSystem()
                                                throws VisADException,
                                                       RemoteException

  Description copied from interface: `Field`
  get range CoordinateSystem for 'RealTuple' range; index may enumerate samples, if they differ

  Specified by:
    `getRangeCoordinateSystem` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### getRangeCoordinateSystem

    public CoordinateSystem[] getRangeCoordinateSystem(int i)
                                                throws VisADException,
                                                       RemoteException

  Description copied from interface: `Field`
  get range CoordinateSystem for 'RealTuple' components; index may enumerate samples, if they differ

  Specified by:
    `getRangeCoordinateSystem` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### isFlatField

    public boolean isFlatField()
                        throws VisADException,
                               RemoteException

  Description copied from interface: `Field`
  return true if this a FlatField or a RemoteField adapting a FlatField

  Specified by:
    `isFlatField` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`

### domainEnumeration

    public Enumeration domainEnumeration()
                                  throws VisADException,
                                         RemoteException

  Description copied from interface: `Field`

         Here's how to use this:

         for (Enumeration e = field.domainEnumeration() ; e.hasMoreElements(); ) {
           RealTuple domain_sample = (RealTuple) e.nextElement();
           Data range = field.evaluate(domain_sample);
         }

  Specified by:
    `domainEnumeration` in interface `Field`
  Throws:
    `VisADException`
    `RemoteException`